{
    "compilerOptions": {
        "module": "commonjs",
        "target": "es5",
        "rootDir": "./src",
        "outDir": "./build",
        "declaration": true,
        "inlineSourceMap": true,
        "lib": ["dom", "es5", "es6", "es7", "ES2020.Promise", "ES2019.Array"],
        "noEmitHelpers": true,
        "importHelpers": true,
        "emitDecoratorMetadata": true,
        "experimentalDecorators": true,
        "downlevelIteration": true,
        "noImplicitAny": false,
        "strict": true,
        "allowSyntheticDefaultImports": true,
        "skipLibCheck": true,
        "plugins": [
            {
                "name": "typescript-tslint-plugin",
                "alwaysShowRuleFailuresAsWarnings": true,
                "ignoreDefinitionFiles": true
            }
        ]
    },
    "exclude": ["build", "examples", "**/*.old.ts"]
}
